Bug 998368 - Syntax error breaks the rhc-admin-migrate-datastore program
Syntax error breaks the rhc-admin-migrate-datastore program
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 03:28 EDT by Jianwei Hou
Modified: 2015-05-14 20:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:52:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-08-19 03:28:25 EDT
Description of problem:
Run rhc-admin-migrate-datastore, the program is broken by syntax error:
/usr/bin/rhc-admin-migrate-datastore:175: syntax error, unexpected '}', expecting ')'
...{"cart_name" => old_cart_name}}}).count
...                               ^
/usr/bin/rhc-admin-migrate-datastore:176: syntax error, unexpected '}', expecting ')'
...{"cart_name" => old_cart_name}}}).count


Version-Release number of selected component (if applicable):
On devenv_3671

How reproducible:
Always

Steps to Reproduce:
1. On broker, run 'rhc-admin-migarte-datastore


Actual results:
[root@ip-10-147-177-146 ~]# rhc-admin-migrate-datastore
/usr/bin/rhc-admin-migrate-datastore:175: syntax error, unexpected '}', expecting ')'
...{"cart_name" => old_cart_name}}}).count
...                               ^
/usr/bin/rhc-admin-migrate-datastore:176: syntax error, unexpected '}', expecting ')'
...{"cart_name" => old_cart_name}}}).count

Fix the syntax error, and the program works again:
[root@ip-10-147-177-146 ~]# rhc-admin-migrate-datastore
version is required!

Usage: /usr/bin/rhc-admin-migrate-datastore

  --version                            Version of the migration to run
  --compatible                         Run the backwards compatible portion of the migration (Can be run after the system is upgrade with the brokers running)
  --prerelease                         Run the prerelease portion of the migration (Can be run at any time, and is reentrant)
  --non-compatible                     Run the non backwards compatible portion of the migration (Must be run with the brokers shutdown)
  --check                              Check whether the compatible or non compatible portion of the migration is necessary (Returns 0 if necessary)
  --help                               Show usage info


Expected results:
The program should work well

Additional info:
Comment 1 Abhishek Gupta 2013-08-19 14:35:34 EDT
Fixed with --> https://github.com/openshift/li/pull/1833
Comment 2 openshift-github-bot 2013-08-19 14:36:06 EDT
Commits pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/2ef42adafb5b592cdb9d11cdeebc08785c0f66ab
Fix for bug 998368

https://github.com/openshift/li/commit/a64108b7cda3f0c67a51080d5b893ef6c6527993
Merge pull request #1833 from abhgupta/bug_998368

Fix for bug 998368
Comment 3 Jianwei Hou 2013-08-19 22:08:01 EDT
Verified on devenv_3675, syntax error is fixed

[root@ip-10-155-223-9 ~]# rhc-admin-migrate-datastore -h

Usage: /usr/bin/rhc-admin-migrate-datastore

  --version                            Version of the migration to run
  --compatible                         Run the backwards compatible portion of the migration (Can be run after the system is upgrade with the brokers running)
  --prerelease                         Run the prerelease portion of the migration (Can be run at any time, and is reentrant)
  --non-compatible                     Run the non backwards compatible portion of the migration (Must be run with the brokers shutdown)
  --check                              Check whether the compatible or non compatible portion of the migration is necessary (Returns 0 if necessary)
  --help                               Show usage info

Note You need to log in before you can comment on or make changes to this bug.